# NamiPurchaseManager

- [anySkuPurchased](https://docs.namiml.com/sdk-reference/namipurchasemanager/anyskupurchased.md): Check if any of the passed in product SKU IDs have been purchased by the device.
- [consumePurchasedSku](https://docs.namiml.com/sdk-reference/namipurchasemanager/consumepurchasedsku.md): Mark a consumable IAP as processed so it can be purchased again.
- [NamiPurchase](https://docs.namiml.com/sdk-reference/namipurchasemanager/namipurchase.md): Object representing a purchase in the Nami Platform.
- [NamiPurchaseState](https://docs.namiml.com/sdk-reference/namipurchasemanager/namipurchasestate.md)
- [NamiRestorePurchasesState](https://docs.namiml.com/sdk-reference/namipurchasemanager/namirestorepurchasesstate.md)
- [NamiSKU](https://docs.namiml.com/sdk-reference/namipurchasemanager/namisku.md): Object that contains all the data on a in-app purchase SKU for an App Platform.
- [presentCodeRedemptionSheet](https://docs.namiml.com/sdk-reference/namipurchasemanager/presentcoderedemptionsheet.md)
- [registerPurchasesChangedHandler](https://docs.namiml.com/sdk-reference/namipurchasemanager/registerpurchaseschangedhandler.md)
- [registerRestorePurchasesHandler](https://docs.namiml.com/sdk-reference/namipurchasemanager/registerrestorepurchaseshandler.md)
- [restorePurchases](https://docs.namiml.com/sdk-reference/namipurchasemanager/restorepurchases.md): Start the process to restore any purchases not currently active on the device.
- [skuPurchased](https://docs.namiml.com/sdk-reference/namipurchasemanager/skupurchased.md): Check if a specific product SKU has been purchased.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namipurchasemanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
